Bug 1185814 - Review Request: perl-Test-RequiresInternet - Easily test network connectivity
Summary: Review Request: perl-Test-RequiresInternet - Easily test network connectivity
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-26 11:07 UTC by Paul Howarth
Modified: 2015-02-14 11:51 UTC (History)
2 users (show)

Fixed In Version: perl-Test-RequiresInternet-0.03-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-14 11:51:27 UTC
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2015-01-26 11:07:25 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Test-RequiresInternet/branches/fedora/perl-Test-RequiresInternet.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Test-RequiresInternet/perl-Test-RequiresInternet-0.03-2.fc22.src.rpm

Description:
This module is intended to easily test network connectivity before functional
tests begin to non-local Internet resources. It does not require any modules
beyond those supplied in core Perl.

If you do not specify a host/port pair, then the module defaults to using
www.google.com on port 80. You may optionally specify the port by its name, as
in http or ldap. If you do this, the test module will attempt to look up the
port number using getservbyname. If you do specify a host and port, they must
be specified in pairs. It is a fatal error to omit one or the other.

If the environment variable NO_NETWORK_TESTING is set, then the tests will be
skipped without attempting any socket connections.

If the sockets cannot connect to the specified hosts and ports, the exception
is caught, reported and the tests skipped.

Fedora Account System Username: pghmcfc

Comment 1 David Dick 2015-01-27 06:17:01 UTC
License is correct.

Package builds in rawhide at http://koji.fedoraproject.org/koji/taskinfo?taskID=8732683

Build requirements are correct

rpmlint is clean except for incorrect spelling warnings

Package APPROVED!

Comment 2 Paul Howarth 2015-01-27 08:12:56 UTC
New Package SCM Request
=======================
Package Name: perl-Test-RequiresInternet
Short Description: Easily test network connectivity
Upstream URL: http://search.cpan.org/dist/Test-RequiresInternet/
Owners: pghmcfc
Branches: f20 f21 el6 epel7
InitialCC: perl-sig

Thanks for the review David. Do you have any packages for review at the moment?

Comment 3 Gwyn Ciesla 2015-01-27 14:10:36 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-27 20:32:37 UTC
perl-Test-RequiresInternet-0.03-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-RequiresInternet-0.03-2.el6

Comment 5 Fedora Update System 2015-01-27 20:32:45 UTC
perl-Test-RequiresInternet-0.03-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Test-RequiresInternet-0.03-2.el7

Comment 6 Fedora Update System 2015-01-27 20:32:51 UTC
perl-Test-RequiresInternet-0.03-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Test-RequiresInternet-0.03-2.fc21

Comment 7 Fedora Update System 2015-01-27 20:32:57 UTC
perl-Test-RequiresInternet-0.03-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Test-RequiresInternet-0.03-2.fc20

Comment 8 Fedora Update System 2015-02-07 03:54:27 UTC
perl-Test-RequiresInternet-0.03-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-02-07 03:58:04 UTC
perl-Test-RequiresInternet-0.03-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-02-14 02:55:17 UTC
perl-Test-RequiresInternet-0.03-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 11 Fedora Update System 2015-02-14 02:55:31 UTC
perl-Test-RequiresInternet-0.03-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.